<?php
/**
	Nos deveulve la ruta hasta el public_html y hace un include path
*/
// Obtenemos la ruta hacia el public html
function purga_dir($dir, $dias){
	$ruta_absoluta = _WS_SINCRO_DIR_ . "/" . $dir;
	$segundos_x_dia = 60 * 60 * 24;
	//Recorremos el directorio
	$directorio = dir($ruta_absoluta);
	while($nombre_archivo = $directorio->read()){
		//OJO, no se puede borrar el .htaccess
		if ( !(($nombre_archivo == '.htaccess') || ($nombre_archivo == '.') || ($nombre_archivo == '..')) ){
			$nombre_archivo = $ruta_absoluta . $nombre_archivo;
			$fecha_mod = filemtime($nombre_archivo);
			$dif = (time() - $fecha_mod) / $segundos_x_dia;
			$dif = round($dif);
			echo("Fichero $nombre_archivo fecha de modificacion " . date("d-F-Y", $fecha_mod) . " con una diferencia de $dif d&iacute;as<br />\n");
			if ($dif >= $dias){
				echo("<b>VAMOS A BORRAR EL ARCHIVO $nombre_archivo</b><br />\n");
				//Borramos el fichero
				unlink($nombre_archivo);
			}
		}
	}
	$directorio->close();
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<title>Borrado elementos antiguos</title>
</head>
<body>
<?php
	//Ejecutamos la lectura y procesado de los ficheros
	purga_dir("leidos/", 10);
	purga_dir("logs/", 10);
	//Por el momento voy a probar si se puede obtener la esturctura de los ficheros
	//comprobar_conf_tabla('traducarti');
	/*
	//Ahora vamos a limpiar aquellos pedidos con más de una semana que estén sin pagar y no estén finalizados para purgar la tabla de pedidos
	$sentencia_sql = "DELETE FROM mc_pedcli WHERE ( TIMESTAMPDIFF(  DAY , fecha, CURRENT_TIMESTAMP( ) ) ) >7 AND pagado = 0 AND pendiente_sinlib = 0";
	$conexionBD = dame_valor_variable_global("conexionBD", false);
	$eliminadas = 0;
	if ($conexionBD){
		$resultado = mysqli_query($conexionBD, $sentencia_sql);
		$eliminadas = mysqli_affected_rows($conexionBD);
		echo("Se han borrado $eliminadas pedidos<br />\n");
	}
	
	//Vamos a borrar también los hash de seguridad anteriores a 1 día
	$sentencia_sql = "DELETE FROM seguridad WHEREHOUR(TIMEDIFF(NOW(), fecha)) <= 24";
	if ($conexionBD){
		$resultado = mysqli_query($conexionBD, $sentencia_sql);
		$eliminadas = mysqli_affected_rows($conexionBD);
		echo("Se han borrado $eliminadas hashes de seguridad<br />\n");
	}
	if(false){
		cerrar_conexion_bd();
	}*/
	//Hay que añadir aquí la purga de las tablas temproales (pedidos y sesión)
	//TODO
?>
</body>
</html>